-- Do not edit.  Generated by cheby 1.7.dev0 using these options:
--  --header commit --gen-hdl pulser_group_map.vhd --gen-c ../../sw/hw-include/pulser_group_map.h --consts-style vhdl-ohwr --gen-consts pulser_group_map_consts.vhd -i pulser_group_map.cheby

library ieee;
use ieee.std_logic_1164.all;

package pulser_group_map_consts_pkg is
  constant c_PULSER_GROUP_MAP_SIZE : Natural := 4096;
  constant c_PULSER_GROUP_MAP_COMPARATORS_ADDR : Natural := 16#0#;
  constant c_PULSER_GROUP_MAP_COMPARATORS_SIZE : Natural := 32;
  constant c_PULSER_GROUP_MAP_COMPARATORS_TIME_SEC_ADDR : Natural := 16#0#;
  constant c_PULSER_GROUP_MAP_COMPARATORS_TIME_NSEC_ADDR : Natural := 16#4#;
  constant c_PULSER_GROUP_MAP_COMPARATORS_CONF1_ADDR : Natural := 16#8#;
  constant c_ADDR_PULSER_GROUP_MAP_COMPARATORS_CONF1_ENABLE : Natural := 16#8#;
  constant c_PULSER_GROUP_MAP_COMPARATORS_CONF1_ENABLE_WIDTH : Natural := 1;
  constant c_PULSER_GROUP_MAP_COMPARATORS_CONF1_ENABLE_OFFSET : Natural := 31;
  constant c_ADDR_PULSER_GROUP_MAP_COMPARATORS_CONF1_ABORT : Natural := 16#8#;
  constant c_PULSER_GROUP_MAP_COMPARATORS_CONF1_ABORT_WIDTH : Natural := 1;
  constant c_PULSER_GROUP_MAP_COMPARATORS_CONF1_ABORT_OFFSET : Natural := 30;
  constant c_ADDR_PULSER_GROUP_MAP_COMPARATORS_CONF1_OUT_EN : Natural := 16#8#;
  constant c_PULSER_GROUP_MAP_COMPARATORS_CONF1_OUT_EN_WIDTH : Natural := 1;
  constant c_PULSER_GROUP_MAP_COMPARATORS_CONF1_OUT_EN_OFFSET : Natural := 19;
  constant c_ADDR_PULSER_GROUP_MAP_COMPARATORS_CONF1_INT_EN : Natural := 16#8#;
  constant c_PULSER_GROUP_MAP_COMPARATORS_CONF1_INT_EN_WIDTH : Natural := 1;
  constant c_PULSER_GROUP_MAP_COMPARATORS_CONF1_INT_EN_OFFSET : Natural := 18;
  constant c_ADDR_PULSER_GROUP_MAP_COMPARATORS_CONF1_IMMEDIAT : Natural := 16#8#;
  constant c_PULSER_GROUP_MAP_COMPARATORS_CONF1_IMMEDIAT_WIDTH : Natural := 1;
  constant c_PULSER_GROUP_MAP_COMPARATORS_CONF1_IMMEDIAT_OFFSET : Natural := 17;
  constant c_ADDR_PULSER_GROUP_MAP_COMPARATORS_CONF1_REPEAT : Natural := 16#8#;
  constant c_PULSER_GROUP_MAP_COMPARATORS_CONF1_REPEAT_WIDTH : Natural := 1;
  constant c_PULSER_GROUP_MAP_COMPARATORS_CONF1_REPEAT_OFFSET : Natural := 16;
  constant c_ADDR_PULSER_GROUP_MAP_COMPARATORS_CONF1_CLOCK : Natural := 16#8#;
  constant c_PULSER_GROUP_MAP_COMPARATORS_CONF1_CLOCK_WIDTH : Natural := 5;
  constant c_PULSER_GROUP_MAP_COMPARATORS_CONF1_CLOCK_OFFSET : Natural := 10;
  constant c_ADDR_PULSER_GROUP_MAP_COMPARATORS_CONF1_STOP : Natural := 16#8#;
  constant c_PULSER_GROUP_MAP_COMPARATORS_CONF1_STOP_WIDTH : Natural := 5;
  constant c_PULSER_GROUP_MAP_COMPARATORS_CONF1_STOP_OFFSET : Natural := 5;
  constant c_ADDR_PULSER_GROUP_MAP_COMPARATORS_CONF1_START : Natural := 16#8#;
  constant c_PULSER_GROUP_MAP_COMPARATORS_CONF1_START_WIDTH : Natural := 5;
  constant c_PULSER_GROUP_MAP_COMPARATORS_CONF1_START_OFFSET : Natural := 0;
  constant c_PULSER_GROUP_MAP_COMPARATORS_HIGH_ADDR : Natural := 16#c#;
  constant c_PULSER_GROUP_MAP_COMPARATORS_PERIOD_ADDR : Natural := 16#10#;
  constant c_PULSER_GROUP_MAP_COMPARATORS_NPULSES_ADDR : Natural := 16#14#;
  constant c_PULSER_GROUP_MAP_COMPARATORS_IDELAY_ADDR : Natural := 16#18#;
  constant c_PULSER_GROUP_MAP_PULSERS_ADDR : Natural := 16#800#;
  constant c_PULSER_GROUP_MAP_PULSERS_SIZE : Natural := 32;
  constant c_PULSER_GROUP_MAP_PULSERS_PULSES_ADDR : Natural := 16#0#;
  constant c_PULSER_GROUP_MAP_PULSERS_TS_ADDR : Natural := 16#4#;
  constant c_PULSER_GROUP_MAP_PULSERS_DONE_COMP_ADDR : Natural := 16#8#;
  constant c_PULSER_GROUP_MAP_PULSERS_CURRENT_COMP_ADDR : Natural := 16#c#;
  constant c_PULSER_GROUP_MAP_PULSERS_LOADED_COMP_ADDR : Natural := 16#10#;
  constant c_PULSER_GROUP_MAP_PULSERS_COMP_LATE_ADDR : Natural := 16#14#;
  constant c_PULSER_GROUP_MAP_PULSERS_COMP_BUSY_ADDR : Natural := 16#18#;
  constant c_PULSER_GROUP_MAP_PULSERS_STATE_ADDR : Natural := 16#1c#;
  constant c_PULSER_GROUP_MAP_OUT_CFG_ADDR : Natural := 16#900#;
  constant c_PULSER_GROUP_MAP_OUT_CFG_SIZE : Natural := 4;
  constant c_PULSER_GROUP_MAP_OUT_CFG_CONFIG_ADDR : Natural := 16#0#;
  constant c_ADDR_PULSER_GROUP_MAP_OUT_CFG_CONFIG_MASK : Natural := 16#0#;
  constant c_PULSER_GROUP_MAP_OUT_CFG_CONFIG_MASK_WIDTH : Natural := 8;
  constant c_PULSER_GROUP_MAP_OUT_CFG_CONFIG_MASK_OFFSET : Natural := 0;
  constant c_ADDR_PULSER_GROUP_MAP_OUT_CFG_CONFIG_INV_IN : Natural := 16#0#;
  constant c_PULSER_GROUP_MAP_OUT_CFG_CONFIG_INV_IN_WIDTH : Natural := 1;
  constant c_PULSER_GROUP_MAP_OUT_CFG_CONFIG_INV_IN_OFFSET : Natural := 8;
  constant c_ADDR_PULSER_GROUP_MAP_OUT_CFG_CONFIG_INV_OUT : Natural := 16#0#;
  constant c_PULSER_GROUP_MAP_OUT_CFG_CONFIG_INV_OUT_WIDTH : Natural := 1;
  constant c_PULSER_GROUP_MAP_OUT_CFG_CONFIG_INV_OUT_OFFSET : Natural := 9;
  constant c_PULSER_GROUP_MAP_PULSES_EVNT_ADDR : Natural := 16#920#;
  constant c_PULSER_GROUP_MAP_PULSES_EVNT_SIZE : Natural := 32;
  constant c_PULSER_GROUP_MAP_PULSES_EVNT_TM_TAI_ADDR : Natural := 16#920#;
  constant c_PULSER_GROUP_MAP_PULSES_EVNT_TM_CYC_ADDR : Natural := 16#924#;
  constant c_PULSER_GROUP_MAP_PULSES_EVNT_EVNT_ADDR : Natural := 16#928#;
  constant c_PULSER_GROUP_MAP_PULSES_EVNT_CTL_ADDR : Natural := 16#92c#;
  constant c_ADDR_PULSER_GROUP_MAP_PULSES_EVNT_CTL_RD : Natural := 16#92c#;
  constant c_PULSER_GROUP_MAP_PULSES_EVNT_CTL_RD_WIDTH : Natural := 1;
  constant c_PULSER_GROUP_MAP_PULSES_EVNT_CTL_RD_OFFSET : Natural := 0;
  constant c_PULSER_GROUP_MAP_PULSES_EVNT_STS_ADDR : Natural := 16#930#;
  constant c_ADDR_PULSER_GROUP_MAP_PULSES_EVNT_STS_NEMPTY : Natural := 16#930#;
  constant c_PULSER_GROUP_MAP_PULSES_EVNT_STS_NEMPTY_WIDTH : Natural := 1;
  constant c_PULSER_GROUP_MAP_PULSES_EVNT_STS_NEMPTY_OFFSET : Natural := 0;
  constant c_ADDR_PULSER_GROUP_MAP_PULSES_EVNT_STS_LOST : Natural := 16#930#;
  constant c_PULSER_GROUP_MAP_PULSES_EVNT_STS_LOST_WIDTH : Natural := 1;
  constant c_PULSER_GROUP_MAP_PULSES_EVNT_STS_LOST_OFFSET : Natural := 1;
  constant c_PULSER_GROUP_MAP_PULSERS_ABORT_ADDR : Natural := 16#940#;
  constant c_PULSER_GROUP_MAP_PULSERS_RUNNING_ADDR : Natural := 16#944#;
  constant c_PULSER_GROUP_MAP_PULSERS_RUN_ADDR : Natural := 16#948#;
  constant c_PULSER_GROUP_MAP_PULSERS_LOADED_ADDR : Natural := 16#94c#;
end package pulser_group_map_consts_pkg;
